View Issue Details

IDProjectCategoryView StatusLast Update
0003412unrealircdpublic2015-07-09 19:40
ReporterhcnlineAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSWindowsOS VersionVista
Product Version3.2.6 
Target VersionFixed in Version3.2.8 
Summary0003412: Bad Channel Mask '#::' can be allowed if user gives '*'.
DescriptionThe ircd usually blocks channel mask's that begin with '::'. However, i have noticed people overriding this by using this by giving '#::*' channel mask. This dose not affect the irc blocking if the channel mask has something other than a '*' after the first one. So '#::*sex*' will still be blocked.
Steps To ReproduceIssue a "/join #::*" to the ircd.
Additional InformationThis can be blocked from the config file, by placing a deny channel block. Using the channel 'mask "#::?";'.
TagsNo tags attached.
3rd party modulesnone

Activities

Stealth

2008-02-07 22:33

reporter   ~0015038

Does not need to be private.

syzop

2015-07-09 19:40

administrator   ~0018453

probably fixed in 3.2.8 or something similar <2010. we don't allow :'s in channel names for a while now.

Issue History

Date Modified Username Field Change
2007-07-01 03:57 hcnline New Issue
2007-07-01 03:57 hcnline 3rd party modules => none
2007-08-14 07:28 stskeeps Relationship added parent of 0003515
2007-08-14 07:29 stskeeps Relationship deleted parent of 0003515
2008-02-07 22:33 Stealth QA => Not touched yet by developer
2008-02-07 22:33 Stealth U4: Need for upstream patch => No need for upstream InspIRCd patch
2008-02-07 22:33 Stealth U4: Upstream notification of bug => Not decided
2008-02-07 22:33 Stealth U4: Contributor working on this => None
2008-02-07 22:33 Stealth Note Added: 0015038
2008-02-07 22:33 Stealth View Status private => public
2015-07-09 19:40 syzop Note Added: 0018453
2015-07-09 19:40 syzop Status new => closed
2015-07-09 19:40 syzop Assigned To => syzop
2015-07-09 19:40 syzop Resolution open => fixed
2015-07-09 19:40 syzop Fixed in Version => 3.2.8